# eric4.Debugger.ExceptionsFilterDialog

Module implementing the exceptions filter dialog.

### Classes

ExceptionsFilterDialog | Class implementing the exceptions filter dialog.

### Functions

None

## ExceptionsFilterDialog

Class implementing the exceptions filter dialog.

### Derived from

QDialog, Ui_ExceptionsFilterDialog

### Methods

ExceptionsFilterDialog | Constructor
getExceptionsList | Public method to retrieve the list of exception types.
on_addButton_clicked | Private slot to handle the Add button press.
on_deleteButton_clicked | Private slot to delete the currently selected exception of the listbox.
on_exceptionEdit_textChanged | Private slot to handle the textChanged signal of exceptionEdit.

#### ExceptionsFilterDialog (Constructor)

ExceptionsFilterDialog(excList, parent=None)

Constructor

excList
  list of exceptions to be edited (QStringList)
parent
  the parent widget (QWidget)

#### ExceptionsFilterDialog.getExceptionsList

getExceptionsList()

Public method to retrieve the list of exception types.

Returns:
  list of exception types (list of strings)

#### ExceptionsFilterDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to handle the Add button press.

#### ExceptionsFilterDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the currently selected exception of the listbox.

#### ExceptionsFilterDialog.on_exceptionEdit_textChanged

on_exceptionEdit_textChanged(txt)

Private slot to handle the textChanged signal of exceptionEdit.

This slot sets the enabled status of the add button and sets the forms default button.

txt
  the text entered into exceptionEdit (QString)

Up